linux-kernel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: linux-kernel@vger.kernel.org
Cc: Greg Kroah-Hartman <gregkh@linuxfoundation.org>,
	stable@vger.kernel.org, "Daniel T. Lee" <danieltimlee@gmail.com>,
	Jesper Dangaard Brouer <brouer@redhat.com>,
	"David S. Miller" <davem@davemloft.net>,
	Sasha Levin <sashal@kernel.org>
Subject: [PATCH 4.4 020/137] samples: pktgen: fix proc_cmd command result check logic
Date: Thu,  2 Jan 2020 23:06:33 +0100	[thread overview]
Message-ID: <20200102220549.375314349@linuxfoundation.org> (raw)
In-Reply-To: <20200102220546.618583146@linuxfoundation.org>

From: Daniel T. Lee <danieltimlee@gmail.com>

[ Upstream commit 3cad8f911575191fb3b81d8ed0e061e30f922223 ]

Currently, proc_cmd is used to dispatch command to 'pg_ctrl', 'pg_thread',
'pg_set'. proc_cmd is designed to check command result with grep the
"Result:", but this might fail since this string is only shown in
'pg_thread' and 'pg_set'.

This commit fixes this logic by grep-ing the "Result:" string only when
the command is not for 'pg_ctrl'.

For clarity of an execution flow, 'errexit' flag has been set.

To cleanup pktgen on exit, trap has been added for EXIT signal.

Signed-off-by: Daniel T. Lee <danieltimlee@gmail.com>
Acked-by: Jesper Dangaard Brouer <brouer@redhat.com>
Signed-off-by: David S. Miller <davem@davemloft.net>
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
 samples/pktgen/functions.sh | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

diff --git a/samples/pktgen/functions.sh b/samples/pktgen/functions.sh
index 205e4cde4601..065a7e296ee3 100644
--- a/samples/pktgen/functions.sh
+++ b/samples/pktgen/functions.sh
@@ -5,6 +5,8 @@
 # Author: Jesper Dangaaard Brouer
 # License: GPL
 
+set -o errexit
+
 ## -- General shell logging cmds --
 function err() {
     local exitcode=$1
@@ -58,6 +60,7 @@ function pg_set() {
 function proc_cmd() {
     local result
     local proc_file=$1
+    local status=0
     # after shift, the remaining args are contained in $@
     shift
     local proc_ctrl=${PROC_DIR}/$proc_file
@@ -73,13 +76,13 @@ function proc_cmd() {
 	echo "cmd: $@ > $proc_ctrl"
     fi
     # Quoting of "$@" is important for space expansion
-    echo "$@" > "$proc_ctrl"
-    local status=$?
+    echo "$@" > "$proc_ctrl" || status=$?
 
-    result=$(grep "Result: OK:" $proc_ctrl)
-    # Due to pgctrl, cannot use exit code $? from grep
-    if [[ "$result" == "" ]]; then
-	grep "Result:" $proc_ctrl >&2
+    if [[ "$proc_file" != "pgctrl" ]]; then
+        result=$(grep "Result: OK:" $proc_ctrl) || true
+        if [[ "$result" == "" ]]; then
+            grep "Result:" $proc_ctrl >&2
+        fi
     fi
     if (( $status != 0 )); then
 	err 5 "Write error($status) occurred cmd: \"$@ > $proc_ctrl\""
@@ -105,6 +108,8 @@ function pgset() {
     fi
 }
 
+[[ $EUID -eq 0 ]] && trap 'pg_ctrl "reset"' EXIT
+
 ## -- General shell tricks --
 
 function root_check_run_with_sudo() {
-- 
2.20.1




  parent reply	other threads:[~2020-01-02 22:34 UTC|newest]

Thread overview: 143+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-02 22:06 [PATCH 4.4 000/137] 4.4.208-stable review Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 001/137] btrfs: do not leak reloc root if we fail to read the fs root Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 002/137] btrfs: handle ENOENT in btrfs_uuid_tree_iterate Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 003/137] ALSA: hda/ca0132 - Keep power on during processing DSP response Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 004/137] ALSA: hda/ca0132 - Avoid endless loop Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 005/137] drm: mst: Fix query_payload ack reply struct Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 006/137] iio: light: bh1750: Resolve compiler warning and make code more readable Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 007/137] spi: Add call to spi_slave_abort() function when spidev driver is released Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 008/137] staging: rtl8188eu: fix possible null dereference Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 009/137] rtlwifi: prevent memory leak in rtl_usb_probe Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 010/137] IB/iser: bound protection_sg size by data_sg size Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 011/137] media: am437x-vpfe: Setting STD to current value is not an error Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 012/137] media: i2c: ov2659: fix s_stream return value Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 013/137] media: i2c: ov2659: Fix missing 720p register config Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 014/137] media: ov6650: Fix stored frame format not in sync with hardware Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 015/137] tools/power/cpupower: Fix initializer override in hsw_ext_cstates Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 016/137] usb: renesas_usbhs: add suspend event support in gadget mode Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 017/137] hwrng: omap3-rom - Call clk_disable_unprepare() on exit only if not idled Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 018/137] regulator: max8907: Fix the usage of uninitialized variable in max8907_regulator_probe() Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 019/137] media: flexcop-usb: fix NULL-ptr deref in flexcop_usb_transfer_init() Greg Kroah-Hartman
2020-01-02 22:06 ` Greg Kroah-Hartman [this message]
2020-01-02 22:06 ` [PATCH 4.4 021/137] mwifiex: pcie: Fix memory leak in mwifiex_pcie_init_evt_ring Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 022/137] media: ti-vpe: vpe: fix a v4l2-compliance warning about invalid pixel format Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 023/137] media: ti-vpe: vpe: fix a v4l2-compliance failure about frame sequence number Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 024/137] media: ti-vpe: vpe: Make sure YUYV is set as default format Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 025/137] extcon: sm5502: Reset registers during initialization Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 026/137] x86/mm: Use the correct function type for native_set_fixmap() Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 027/137] perf report: Add warning when libunwind not compiled in Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 028/137] iio: adc: max1027: Reset the device at probe time Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 029/137] Bluetooth: hci_core: fix init for HCI_USER_CHANNEL Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 030/137] drm/gma500: fix memory disclosures due to uninitialized bytes Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 031/137] x86/ioapic: Prevent inconsistent state when moving an interrupt Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 032/137] arm64: psci: Reduce the waiting time for cpu_psci_cpu_kill() Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 033/137] libata: Ensure ata_port probe has completed before detach Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 034/137] pinctrl: sh-pfc: sh7734: Fix duplicate TCLK1_B Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 035/137] bnx2x: Fix PF-VF communication over multi-cos queues Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 036/137] spi: img-spfi: fix potential double release Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 037/137] rtlwifi: fix memory leak in rtl92c_set_fw_rsvdpagepkt() Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 038/137] perf probe: Fix to find range-only function instance Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 039/137] perf probe: Fix to list probe event with correct line number Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 040/137] perf probe: Walk function lines in lexical blocks Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 041/137] perf probe: Fix to probe an inline function which has no entry pc Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 042/137] perf probe: Fix to show ranges of variables in functions without entry_pc Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 043/137] perf probe: Fix to show inlined function callsite " Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 044/137] perf probe: Skip overlapped location on searching variables Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 045/137] perf probe: Return a better scope DIE if there is no best scope Greg Kroah-Hartman
2020-01-02 22:06 ` [PATCH 4.4 046/137] perf probe: Fix to show calling lines of inlined functions Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 047/137] perf probe: Skip end-of-sequence and non statement lines Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 048/137] perf probe: Filter out instances except for inlined subroutine and subprogram Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 049/137] ath10k: fix get invalid tx rate for Mesh metric Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 050/137] media: pvrusb2: Fix oops on tear-down when radio support is not present Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 051/137] media: si470x-i2c: add missed operations in remove Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 052/137] EDAC/ghes: Fix grain calculation Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 053/137] spi: pxa2xx: Add missed security checks Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 054/137] ASoC: rt5677: Mark reg RT5677_PWR_ANLG2 as volatile Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 055/137] parport: load lowlevel driver if ports not found Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 056/137] cpufreq: Register drivers only after CPU devices have been registered Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 057/137] x86/crash: Add a forward declaration of struct kimage Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 058/137] spi: tegra20-slink: add missed clk_unprepare Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 059/137] btrfs: dont prematurely free work in end_workqueue_fn() Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 060/137] iwlwifi: check kasprintf() return value Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 061/137] fbtft: Make sure string is NULL terminated Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 062/137] crypto: sun4i-ss - Fix 64-bit size_t warnings on sun4i-ss-hash.c Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 063/137] crypto: vmx - Avoid weird build failures Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 064/137] libtraceevent: Fix memory leakage in copy_filter_type Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 065/137] net: phy: initialise phydev speed and duplex sanely Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 066/137] Revert "mmc: sdhci: Fix incorrect switch to HS mode" Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 067/137] usb: xhci: Fix build warning seen with CONFIG_PM=n Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 068/137] btrfs: do not call synchronize_srcu() in inode_tree_del Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 069/137] btrfs: return error pointer from alloc_test_extent_buffer Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 070/137] btrfs: abort transaction after failed inode updates in create_subvol Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 071/137] Btrfs: fix removal logic of the tree mod log that leads to use-after-free issues Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 072/137] ALSA: pcm: Avoid possible info leaks from PCM stream buffers Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 073/137] af_packet: set defaule value for tmo Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 074/137] fjes: fix missed check in fjes_acpi_add Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 075/137] mod_devicetable: fix PHY module format Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 076/137] net: hisilicon: Fix a BUG trigered by wrong bytes_compl Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 077/137] net: nfc: nci: fix a possible sleep-in-atomic-context bug in nci_uart_tty_receive() Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 078/137] net: qlogic: Fix error paths in ql_alloc_large_buffers() Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 079/137] net: usb: lan78xx: Fix suspend/resume PHY register access error Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 080/137] sctp: fully initialize v4 addr in some functions Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 081/137] net: dst: Force 4-byte alignment of dst_metrics Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 082/137] usbip: Fix error path of vhci_recv_ret_submit() Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 083/137] USB: EHCI: Do not return -EPIPE when hub is disconnected Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 084/137] platform/x86: hp-wmi: Make buffer for HPWMI_FEATURE2_QUERY 128 bytes Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 085/137] staging: comedi: gsc_hpdi: check dma_alloc_coherent() return value Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 086/137] ext4: check for directory entries too close to block end Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 087/137] powerpc/irq: fix stack overflow verification Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 088/137] mmc: sdhci-of-esdhc: fix P2020 errata handling Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 089/137] perf probe: Fix to show function entry line as probe-able Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 090/137] scsi: mpt3sas: Fix clear pending bit in ioctl status Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 091/137] scsi: lpfc: Fix locking on mailbox command completion Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 092/137] Input: atmel_mxt_ts - disable IRQ across suspend Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 093/137] iommu/tegra-smmu: Fix page tables in > 4 GiB memory Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 094/137] scsi: target: compare full CHAP_A Algorithm strings Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 095/137] scsi: lpfc: Fix SLI3 hba in loop mode not discovering devices Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 096/137] scsi: csiostor: Dont enable IRQs too early Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 097/137] powerpc/pseries: Mark accumulate_stolen_time() as notrace Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 098/137] dma-debug: add a schedule point in debug_dma_dump_mappings() Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 099/137] clocksource/drivers/asm9260: Add a check for of_clk_get Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 100/137] powerpc/security/book3s64: Report L1TF status in sysfs Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 101/137] jbd2: Fix statistics for the number of logged blocks Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 102/137] scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6) and WRITE(6) Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 103/137] scsi: lpfc: Fix duplicate unreg_rpi error in port offline flow Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 104/137] clk: qcom: Allow constant ratio freq tables for rcg Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 105/137] irqchip/irq-bcm7038-l1: Enable parent IRQ if necessary Greg Kroah-Hartman
2020-01-02 22:07 ` [PATCH 4.4 106/137] irqchip: ingenic: Error out if IRQ domain creation failed Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 107/137] mfd: mfd-core: Honour Device Trees request to disable a child-device Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 108/137] fs/quota: handle overflows of sysctl fs.quota.* and report as unsigned long Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 109/137] scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer dereferences Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 110/137] scsi: ufs: fix potential bug which ends in system hang Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 111/137] powerpc/pseries/cmm: Implement release() function for sysfs device Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 112/137] powerpc/security: Fix wrong message when RFI Flush is disable Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 113/137] clk: pxa: fix one of the pxa RTC clocks Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 114/137] bcache: at least try to shrink 1 node in bch_mca_scan() Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 115/137] HID: Improve Windows Precision Touchpad detection Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 116/137] ext4: work around deleting a file with i_nlink == 0 safely Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 117/137] scsi: pm80xx: Fix for SATA device discovery Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 118/137] scsi: target: iscsi: Wait for all commands to finish before freeing a session Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 119/137] gpio: mpc8xxx: Dont overwrite default irq_set_type callback Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 120/137] scripts/kallsyms: fix definitely-lost memory leak Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 121/137] cdrom: respect device capabilities during opening action Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 122/137] perf regs: Make perf_reg_name() return "unknown" instead of NULL Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 123/137] libfdt: define INT32_MAX and UINT32_MAX in libfdt_env.h Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 124/137] s390/cpum_sf: Check for SDBT and SDB consistency Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 125/137] ocfs2: fix passing zero to PTR_ERR warning Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 126/137] kernel: sysctl: make drop_caches write-only Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 127/137] ALSA: hda - Downgrade error message for single-cmd fallback Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 128/137] Make filldir[64]() verify the directory entry filename is valid Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 129/137] filldir[64]: remove WARN_ON_ONCE() for bad directory entries Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 130/137] net: davinci_cpdma: use dma_addr_t for DMA address Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 131/137] netfilter: ebtables: compat: reject all padding in matches/watchers Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 132/137] 6pack,mkiss: fix possible deadlock Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 133/137] netfilter: bridge: make sure to pull arp header in br_nf_forward_arp() Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 134/137] net: icmp: fix data-race in cmp_global_allow() Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 135/137] hrtimer: Annotate lockless access to timer->state Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 136/137] mmc: sdhci: Update the tuning failed messages to pr_debug level Greg Kroah-Hartman
2020-01-02 22:08 ` [PATCH 4.4 137/137] tcp: do not send empty skb from tcp_write_xmit() Greg Kroah-Hartman
2020-01-03 14:42 ` [PATCH 4.4 000/137] 4.4.208-stable review Guenter Roeck
2020-01-03 17:50 ` Jon Hunter
2020-01-03 21:56 ` shuah
2020-01-04  4:35 ` Naresh Kamboju
2020-01-04 12:32   ` Greg Kroah-Hartman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20200102220549.375314349@linuxfoundation.org \
    --to=gregkh@linuxfoundation.org \
    --cc=brouer@redhat.com \
    --cc=danieltimlee@gmail.com \
    --cc=davem@davemloft.net \
    --cc=linux-kernel@vger.kernel.org \
    --cc=sashal@kernel.org \
    --cc=stable@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).